Subject: Re: [ANNOUNCE] FLAME: external kernel module for L2.5 meshing

From: Steven Rostedt <[email-masked]>
Date: Tue, 23 May 2006 11:09:32 -0400

On Tue, 2006-05-23 at 16:51 +0200, Simon Oosthoek wrote:

> > Use of /proc for an API is no longer desirable. Please rewrite.
> > -
> 
> hmm, ok, I'm not sure this will happen anytime soon (being a rather low 
> priority thing, which is also the reason it's not submitted as patch to 
> the kernel and not signed off), but what is currently the desirable method?
> 

 sysfs is the new interface into the kernel.  /proc is for processes
only (besides the old stuff).

Read up on:
 Documentation/filesystems/sysfs.txt and Documentation/kobject.txt

-- Steve